#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        The KDE calendar utility library
Name:           kcalutils
Version: 25.04.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          Graphical desktop/KDE
URL:            https://kontact.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6IconThemes)

BuildRequires:  cmake(KF6TextTemplate)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KPim6IdentityManagementCore) >= 5.240

Requires:       ktexttemplate

%description
The KDE calendar utility library.

%files -f %name.lang
%_kf6_categoriesdir/kcalutils.categories
%_kf6_categoriesdir/kcalutils.renamecategories
%_kf6_plugindir/ktexttemplate/kcalendar_grantlee_plugin.so

#--------------------------------------------------------------------

%define kpimcalendarutils_major 6
%define libkpimcalendarutils %mklibname kpim6calendarutils %{kpimcalendarutils_major}

%package -n %libkpimcalendarutils
Summary:        The KDE calendar utility library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %libkpimcalendarutils
The KDE calendar utility library.

%files -n %libkpimcalendarutils
%_kf6_libdir/libKPim6CalendarUtils.so.%{kpimcalendarutils_major}{,.*}

#--------------------------------------------------------------------

%define kf6calendarutils_devel %mklibname kpim6calendarutils -d

%package -n %kf6calendarutils_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkpimcalendarutils = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf6calendarutils_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf6calendarutils_devel
%_includedir/KPim6/KCalUtils/
%_kf6_libdir/*.so
%_kf6_libdir/cmake/KPim6CalendarUtils/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Thu Apr 17 2025 daviddavid <daviddavid> 25.04.0-1.mga10
+ Revision: 2175974
- New version 25.04.0

* Sat Mar 29 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2170751
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2163438
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147122
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136523
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123762
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116318
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114008
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105507
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097366
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087569
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085066
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073173
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069768
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058573
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2046541
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037616
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033744
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025092
- New version 24.01.85

* Fri Nov 17 2023 daviddavid <daviddavid> 24.01.75-2.mga10
+ Revision: 2007375
- fix ktexttemplate dependency

* Fri Nov 17 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007280
- New version 24.01.75

* Mon Sep 25 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1990836
- New version 23.08.1

* Thu Jun 29 2023 daviddavid <daviddavid> 23.04.1-2.mga9
+ Revision: 1963303
- make the library sub-pkg required the main pkg (mga#32058)

* Sat May 27 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1959148
- New version 23.04.1

* Sat Apr 22 2023 daviddavid <daviddavid> 22.12.3-2.mga9
+ Revision: 1953972
- rebuild for new grantlee 5.3.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946456
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941750
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922869
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911364
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905217
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886736
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880720
- New version 22.08.0

* Mon Aug 01 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1874206
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1853926
- New version 22.04.0

* Mon Apr 18 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1851488
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1846169
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763817
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724027
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718314
- New version 21.04.0

* Fri Mar 05 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1699088
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694047
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655572
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643958
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633773
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627016
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614882
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604081
- New version 20.04.3

* Sat Jun 20 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1597820
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584464
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568096
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559285
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540631
- Mageia 8 Mass Rebuild
+ daviddavid <daviddavid>
- rebuild for new grantlee 5.2

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513255
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466903
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457859
- New version 19.08.3

* Sun Oct 20 2019 daviddavid <daviddavid> 19.08.1-2.mga8
+ Revision: 1454680
- fix build dependency

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447437
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1424953
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390408
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387612
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1382104
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375545
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365527
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356466
- New version 18.12.1

* Thu Dec 20 2018 daviddavid <daviddavid> 18.12.0-2.mga7
+ Revision: 1343837
- rebuild for armv7

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339475
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332706
- New version 18.08.3
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1298452
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1241027
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201856
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194879
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186417
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143000
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136739
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-3.mga7
+ Revision: 1133512
- Fix for new find_lang
- Fix for new find_lang

* Wed Jul 26 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1131041
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090036
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076772
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071984
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067302
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061361
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050628
- New version 16.08.1

* Tue Aug 23 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047960
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040023
- New version 16.04.3
- New version 16.04.2

* Thu May 12 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1014081
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004303
- New version 16.04.0

* Wed Mar 30 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 996777
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991153
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987422
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922591
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 911924
- New version 15.12.0

* Sun Nov 29 2015 neoclust <neoclust> 15.11.80-2.mga6
+ Revision: 906992
- Rebuild for ARM

* Fri Nov 27 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 906511
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901118
- New version 15.08.3

* Wed Oct 14 2015 neoclust <neoclust> 15.08.2-1.mga6
+ Revision: 890598
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880411
- New version 15.08.1

* Wed Aug 19 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 865929
- New version 15.08.0

* Wed Aug 12 2015 neoclust <neoclust> 15.07.90-2.mga6
+ Revision: 863890
- Plasma Mass Rebuild - Rebuild for new Plasma

* Sun Aug 09 2015 neoclust <neoclust> 15.07.90-1.mga6
+ Revision: 861742
- New version 15.07.90

* Tue Jul 28 2015 neoclust <neoclust> 15.07.80-1.mga6
+ Revision: 858618
- imported package kcalutils

